# Uses of Enum Class
org.apache.sysds.hops.OptimizerUtils.OptimizationLevel

Packages that use OptimizerUtils.OptimizationLevel
Package
Description
org.apache.sysds.hops

## Uses of OptimizerUtils.OptimizationLevel in org.apache.sysds.hops

Fields in org.apache.sysds.hops declared as OptimizerUtils.OptimizationLevel
Modifier and Type
Field
Description
`static final OptimizerUtils.OptimizationLevel`
OptimizerUtils.`DEFAULT_OPTLEVEL`
Default optimization level if unspecified
Methods in org.apache.sysds.hops that return OptimizerUtils.OptimizationLevel
Modifier and Type
Method
Description
`static OptimizerUtils.OptimizationLevel`
OptimizerUtils.`getOptLevel()`
`static OptimizerUtils.OptimizationLevel`
OptimizerUtils.OptimizationLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptimizerUtils.OptimizationLevel[]`
OptimizerUtils.OptimizationLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops with parameters of type OptimizerUtils.OptimizationLevel
Modifier and Type
Method
Description
`static boolean`
OptimizerUtils.`isOptLevel(OptimizerUtils.OptimizationLevel level)`